services:
  typesense:
    image: typesense/typesense:30.1
    container_name: ${CONTAINER_NAME}
    restart: on-failure
    networks:
      - 1panel-network
    ports:
      - ${PANEL_APP_PORT_HTTP}:8108
    volumes:
      - ./data:/data
    command: '--data-dir /data --api-key=${TYPESENSE_API_KEY} --enable-cors'
    labels:
      createdBy: Apps
networks:
  1panel-network:
    external: true
